//
//  AnimateQueue.h
//  AnimateQueueSample
//
//  Created by Derek on 7/8/13.
//  Copyright (c) 2013 Derek. All rights reserved.
//

#import <Foundation/Foundation.h>
@interface Animation : NSObject
@property(nonatomic,copy) void(^anmiations)(void);
@property(nonatomic, copy) void(^completion) (void);
@property(nonatomic, copy) void(^next)(void);
@property(nonatomic, assign) NSTimeInterval duration;
@property(nonatomic, assign) NSTimeInterval delay;
@property(nonatomic, assign) UIViewAnimationOptions options;

- (void)start;
- (id)init:(NSTimeInterval)duration delay:(NSTimeInterval)delay options:(UIViewAnimationOptions)options animations:(void (^)(void))animations completion:(void (^)(void))completion;
@end
@interface AnimationQueue : NSObject{
    NSMutableArray *_queue;
    Animation *_currentAnimation;
}
- (void)addAnimation:(NSTimeInterval)duration delay:(NSTimeInterval)delay options:(UIViewAnimationOptions)options animations:(void (^)(void))animations completion:(void (^)(void))completion;
- (void)addAnimation:(NSTimeInterval)duration animations:(void (^)(void))animations completion:(void (^)(void))completion;
- (void)addAnimation:(NSTimeInterval)duration animations:(void (^)(void))animations;
- (void)start;
- (void)clear;
@end
